#!/bin/sh
## ------------------------------------------------------------------------------
## In einem Ordner werden alle Zip-Archive ausgepackt.
## Die ursprngliche NAS-Datei wird dabei entfernt: Parameter "-m" (move).
## ------------------------------------------------------------------------------
## Stand: 
##  2015-01-12  PostNAS 08

  echo "****************************************************"
  echo "**  NAS-Dateien in einem Ordner einzeln UNzippen  **"
  echo "****************************************************"

  ORDNER=$1
  if [ $ORDNER = '' ]
  then
    echo "Parameter 1 'Ordner' fehlt"
    $ORDNER = '.'
    exit 1
  fi

  echo "*** Ordner = '${ORDNER}'"
  cd ${ORDNER}
  echo " "
  ls

  for zipdatei in *.xml.zip ; do 

    echo "  * Datei: " ${zipdatei}
    #      Archiv            
    unzip ${zipdatei}
    rm    ${zipdatei}

  done

  ls
  echo "** E n d e  -  AUS-Zippen des Ordners '${ORDNER}'"
